#### D.13.2.5 canonicalizeCone

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  canonicalizeCone(c); c cone

Return:
  cone, a unique representation of the cone c

Example:

    LIB "gfan.lib";
    intmat M[5][3]=
    8,1,9,
    9,2,4,
    0,6,2,
    8,8,8,
    0,9,5;
    cone c=coneViaInequalities(M);
    c;
    ==> AMBIENT_DIM
    ==> 3
    ==> INEQUALITIES
    ==> 0,3,1,
    ==> 0,9,5,
    ==> 1,1,1,
    ==> 8,1,9,
    ==> 9,2,4
    ==> LINEAR_SPAN
    ==>
    ==>
    cone cc=canonicalizeCone(c);
    cc;
    ==> AMBIENT_DIM
    ==> 3
    ==> FACETS
    ==> 0,3,1,
    ==> 0,9,5,
    ==> 8,1,9,
    ==> 9,2,4
    ==> LINEAR_SPAN
    ==>
    ==>
    // computes a unique representation of c
    c == cc;
    ==> 1
    // some procedures work with the known inequalities and equations
    // in order to obtain a unique output,
    // bring the cone in canonical form beforehand
    relativeInteriorPoint(c);
    ==> 7,4,-6
    relativeInteriorPoint(cc);
    ==> 7,4,-6

User manual for Singular version 4.4.1, 2025, generated by texi2html.